org.springframework.batch.integration.chunk

## Class RemoteChunkingMasterStepBuilderFactory

- java.lang.Object
- - org.springframework.batch.integration.chunk.RemoteChunkingMasterStepBuilderFactory

- Deprecated.
  Use `RemoteChunkingManagerStepBuilderFactory` instead.

      @Deprecated
      public class RemoteChunkingMasterStepBuilderFactory
      extends java.lang.Object

  Convenient factory for a `RemoteChunkingMasterStepBuilder` which sets the `JobRepository` and `PlatformTransactionManager` automatically.
  Since:
    4.1
  Author:
    Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteChunkingMasterStepBuilderFactory(JobRepository jobRepository, org.springframework.transaction.PlatformTransactionManager transactionManager)` Deprecated. Create a new `RemoteChunkingMasterStepBuilderFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I,O> RemoteChunkingMasterStepBuilder<I,O>` | `get(java.lang.String name)` Deprecated. Creates a `RemoteChunkingMasterStepBuilder` and initializes its job repository and transaction manager.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteChunkingMasterStepBuilderFactory

          public RemoteChunkingMasterStepBuilderFactory(JobRepository jobRepository,
                                                        org.springframework.transaction.PlatformTransactionManager transactionManager)

      Deprecated.
      Create a new `RemoteChunkingMasterStepBuilderFactory`.
      Parameters:
        `jobRepository` - the job repository to use
        `transactionManager` - the transaction manager to use

  - ### Method Detail

    - #### get

          public <I,O> RemoteChunkingMasterStepBuilder<I,O> get(java.lang.String name)

      Deprecated.
      Creates a `RemoteChunkingMasterStepBuilder` and initializes its job repository and transaction manager.
      Type Parameters:
        `I` - type of input items
        `O` - type of output items
      Parameters:
        `name` - the name of the step
      Returns:
        a `RemoteChunkingMasterStepBuilder`